.\"
.\" Copyright (c) 1994, Wilko Bulte
.\" All rights reserved.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/ie.4,v 1.1.8.4 1999/09/05 11:27:02 peter Exp $
.\"
.Dd September 23, 1994
.Dt IE 4 i386
.Os
.Sh NAME
.Nm ie
.Nd
ethernet device driver
.Sh SYNOPSIS
.Cd "device ie0 at isa? port 0x360 net irq 7 iomem 0xd0000 vector ieintr"
.Sh DESCRIPTION
The
.Nm ie
driver provides support for 8 and 16bit ISA ethernet cards that are based on
the Intel i82586 chip. It supports the AT&T Starlan 10 and Starlan Fiber, 
the EN100, the Intel EtherExpress 16, the 3COM 3C507 and the RACAL Interlan 
NI5210.
.Pp
.Sh DIAGNOSTICS
.Bl -diag
.It "ie%d: unknown board type code %d"
An i82586 chip was found, but the driver was unable to determine the actual
board type during the probe.
.It "ie%d: kernel configured maddr %x doesn't match board configured maddr %x"
The device probe detected a different maddr than the one specified in the
kernel configuration file.
.It "ie%d: can't find shared memory"
The device probe could not access the shared memory to determine its size.
.It "ie%d: kernel configured msize %d doesn't match board configured msize %d"
The device probe found a different size for the shared memory than the one
specified in the kernel configuration file.
.It "ie%d: kernel configured irq %d doesn't match board configured irq %d"
The device probe detected that the board is configured for a different 
interrupt than the one specified in the kernel configuration file.
.It "ie%d: reset"
The Intel i82586 had to be reset by the driver.
.It "ie%d: transceiver problem"
The driver has detected a problem with the ethernet transceiver. This is
usually due to a loose or broken transceiver cable when using an external
transceiver. When you experience this problem with an on-card transceiver
your card may be incorrectly jumpered for to use an external transceiver.
Worst case your on-board transceiver may be broken.
.It "ie%d: TDR detected an open %d clocks away"
The driver detected an open circuit in the ethernet cable. Check your
coax cable and terminator resistors.
.It "ie%d: TDR detected a short %d clocks away"
The driver detected a short circuit in the ethernet cable. Check your 
coax cable and terminator resistors.
.It "ie%d: TDR returned unknown status %x"
The driver got an unknown status from the card during the ethernet cable
test. 
.It "ie%d: multicast address setup command failed"
The card could not be put into multicast mode.
.It "ie%d: configure command failed"
The card refused to respond correctly during configuration.
.It "ie%d: individual address setup command failed"
The programming of the Ethernet (MAC) address failed.
.El
.Sh CAVEATS
The Racal Interlan NI5210 comes in variants with 8 and 16 kbytes of 
shared memory. It is strongly advisable to use the 16 kbyte variant. 
You can upgrade your 8 kbyte card to 16 kbyte by adding an additional
RAM chip. 
.Pp
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh AUTHORS
The
.Nm
device driver was written by
.An Garrett A. Wollman ,
based on code by
.An William F. Jolitz
and Lawrence Berkeley Laboratories. 
.Tn 3C507 
support was written by
.An Charles M. Hannum .
This manual page was written by
.An Wilko C. Bulte .
